## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check
%global debug_package %{nil}

%global commit 897bad831b735f05e11173ac2e9f9f02f5af1d09
%global date 20250206
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global pre %{date}.%{shortcommit}

Name:			pineflash
Version:		0.5.5
Release:		%{autorelease}%{?pre:~%{pre}}
Summary:		A tool to flash ironos to the pinecil soldering iron and possibly other pine64 devices in the future
License:		GPL-2.0
URL:			https://github.com/Spagett1/PineFlash

Source0:		https://github.com/Spagett1/PineFlash/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Source1:		%{name}-offline.sh
# Offline crates
# ./pineflash-offline.sh
Source2:		%{name}-crates.tar.xz

BuildRequires:	cmake
BuildRequires:	cargo-rpm-macros >= 24
BuildRequires:	polkit-devel
BuildRequires:	gcc-c++
BuildRequires:	pkgconf
BuildRequires:	glib2-devel
BuildRequires:	fontconfig-devel
BuildRequires:	gtk3-devel
BuildRequires:	openssl-devel
BuildRequires:	systemd-devel

Requires:		blisp
Requires:		dfu-util

%description
A GUI tool to flash IronOS to the Pinecil V1, V2 and future other pine products.

%prep
%autosetup -n %{name}-%{commit}
%cargo_prep -v vendor

# Unpack crates
tar xf %{SOURCE2}

%generate_buildrequires

%build
%cargo_build

%cargo_vendor_manifest

%install
%cargo_install

# Install desktop files
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 assets/Pineflash.desktop %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 assets/pine64logo.png %{buildroot}%{_datadir}/pixmaps

%if %{with check}
%check
%cargo_test
%endif

%files
%license cargo-vendor.txt LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/Pineflash.desktop
%{_datadir}/pixmaps/pine64logo.png

%changelog
## START: Generated by rpmautospec
* Thu Mar 27 2025 Luca Magrone <luca@magrone.cc> - 0.5.5-2
- Fix wrong icon installation path

* Sun Mar 09 2025 Luca Magrone <luca@magrone.cc> - 0.5.5-1
- Initial Package
## END: Generated by rpmautospec
